
% calculate cumulative net in a section

sect='mozambique';
geo=-1;


eval(['load ../sections/',sect,' lon lat;']);
lon=lon(1:length(lon)-1)+diff(lon)/2;
lat=lat(1:length(lat)-1)+diff(lat)/2;
FF=NaN*ones(size(lon));
for i=1:length(FF);
  if (last(lon)<lon(1))
    pairs=i:length(FF);	% (lon(i):last(lon));
  else
    pairs=1:i;		% (lon(1):lon(i));
  end;
  F=calcfluxforpairs(sect,geo,-1,0,pairs);
  FF(i)=sum(F(:,1))/1e6;
end;

subplot(211)
plot(lon,lat);
overlay;
axis([min(lon)-1 max(lon)+1 min(lat)-1 max(lat)+1]);

subplot(212);
plot(lon,FF);
set(gca,'xlim',[min(lon)-1 max(lon)+1]);
xlabel('Longitude');
ylabel('Sv')
title('Cumulative west-to-east net transport', ...
	'fontsize',15);
grid on;


