
% findfeatures.m - plot the cumulative west-to-east
% transport (calculated using calcrelflux.m)
% in layers "lays" for section "sect".

sect='ar19f';
maxlon=-30;
lays=1:20;

eval(['load ../sections/',sect,' lon']);
lon=lon(1:length(lon)-1)+diff(lon)/2;
if (lon(2)<lon(1))
    disp('warning: this is hard-coded to assume W to E section.')
end;
q=find(lon<maxlon);
lon=lon(q);

T=NaN*ones(size(lon));
for i=1:length(T);
    eval(['F=calcrelflux(''',sect,''',1,-1,0,1:i);']);
    T(i)=sum(F(lays,1))/1e6;
end;
plot(lon,T);
ttl=[sect,': cum. w2e trans., layers '];
ttl=[ttl,num2str(min(lays)),'-',num2str(max(lays))];
title(ttl,'fontsize',15);

[i,j]=ginput(1);
text(i,j,num2str(i,'%3.1f'),'horizontalalignment','center');