function getreflevel(section);

% function getreflevel(section);

if (~strcmp(section(length(section)-2: ...
        length(section)),'mat'))
  section=[section,'.mat'];
end;

directory='/home/lasalle1/dobox/sections/';
sectfiles=[directory,section];
eval(['load ',sectfiles]);

% average over this many stations
avgstat=floor(length(lon)/5);	

if (max(lon)-min(lon) > max(lat)-min(lat))
  horvar=lon;
else
  horvar=lat;
end;

% find max and min values excluding outliers
q=find(isfinite(bin_sal));
[n,x]=hist(bin_sal(q),100);
n=n/sum(n);
q=find(n>.001);
minsal=min(x(q));
maxsal=max(x(q));
q=find(isfinite(bin_potmp));
[n,x]=hist(bin_potmp(q),100);
n=n/sum(n);
q=find(n>.001);
minpotemp=min(x(q));
maxpotemp=max(x(q));

depth_int=NaN*ones(size(horvar));
for horind=avgstat:avgstat:length(horvar)-avgstat;
  plot(bin_sal(1,1),bin_potmp(1,1),'.k', ...
	'markersize',1);
  hold on;
  mini=1;maxi=size(bin_sal,2);
  for i=mini:mini:maxi;
    colr=[i/maxi 2*i*(maxi-i)/maxi/maxi (maxi-i)/maxi];
    plot(bin_sal(:,i),bin_potmp(:,i),'.', ...
	'color',colr,'markersize',4)
  end;
  ss=mean(bin_sal(:,horind-floor(avgstat/2): ...
	horind+floor(avgstat/2)),2); 
  tt=mean(bin_temp(:,horind-floor(avgstat/2): ...
	horind+floor(avgstat/2)),2);
  plot(ss,tt,'k','linewidth',2)
  hold off;
  axis([minsal maxsal minpotemp maxpotemp]);
  title('click on curve at water mass interface', ...
	'fontsize',15);
  [s,t]=ginput(1);
  if (s>min(ss) & s<max(ss) & t>min(tt) & t<max(tt))
    del=sqrt( (s-ss).^2 / range(ss)^2  + ...
	(t-tt).^2 / range(tt)^2);
    s=ss(find(del==min(del)));
    t=tt(find(del==min(del)));
    hold on;plot(s,t,'ok');hold off;pause(.5);
    depth_int(horind)=bin_press(find(del==min(del)));
  end;
end;
q=find(isfinite(depth_int));
depth_int=interp1(horvar(q),depth_int(q),horvar,'linear');

numlevel_int=NaN*ones(size(depth_int));
for i=1:length(horvar);
  if isfinite(depth_int(i))
    del=sqrt( (depth_int(i)-surf_press(:,i)).^2);
    numlevel_int(i)=find(del==min(del));
  end;
end;
numlevel_int=round(nanmean(numlevel_int));

pcolor2(horvar,-bin_press,bin_sal);
hold on;
plot(horvar,-depth_int,'.k','markersize',8);
plot(horvar,-surf_press(numlevel_int,:),'k');
hold off;
zlevel_int=round(nanmean(surf_press(numlevel_int,:)));
ttl=[section,':  layer ',num2str(numlevel_int)];
load glevels
ttl=[ttl,' (',num2str(glevels(numlevel_int)), ...
   ', z=',num2str(zlevel_int),' m)'];
title(ttl,'fontsize',15);


maxz=0;
for i=1:length(lon);
  q=find(isfinite(bin_sal(:,i)));
  maxz=max(maxz,max(bin_press(q)));
end;
set(gca,'ylim',[-maxz 0]);
