clear all;

sections=[ 	'ar19a '; ...
		'ar19c '; ...
		'ar19d '; ...
		'a02_97'; ...
		'ar19f '];
geom=[1 1 1 1 1];	% positive northward

glev;
rl=[NaN NaN];
q=find(glevels>=27.88);rl(1)=q(1);
rl(2)=length(glevels);

F=NaN*ones(length(glevels)+1,3,size(sections,1)*length(rl));
count=1;
for i=1:size(sections,1);
  for j=1:length(rl);
    sect=sections(i,:);
    q=find(sect==' ');sect(q)=[];
    eval(['F(:,:,count)=calcrelflux(''', ...
	sect,''',',num2str(geom(i)) ,',', ...
	num2str(rl(j)),',0);']);
    count=count+1;
  end;
end;

stdF=std(F,0,3);
netF=reshape(sum(F,1),[size(F,2) size(F,3)]);
stdF=[stdF;(std(netF,0,2))'];

clf;
subplot(121);
layerplot(F(:,1,5)/1e6,'b');
hold on;
for i=1:size(F,3);
    plot(flipud(F(:,1,i))/1e6,(-45:-1)+.5,'color',[.5 .5 .5]);
end;
plot(flipud(mean(F(:,1,:),3)/1e6),(-45:-1)+.5,'k','linewidth',2);
hold off;
set(gca,'xtick',[-10:5:10]);
set(gca,'fontsize',12);
title('volume transport','fontsize',18);
xlabel('Sv','fontsize',15);

subplot(122);
layerplot(stdF(1:length(glayers),1)/1e6,'k',1);
set(gca,'fontsize',12);
title('standard deviation','fontsize',18);
xlabel('Sv','fontsize',15);

%set(gca,'xlim',[min(-stdF(:,1)) max(stdF(:,1))]/1e6);

save 48N F stdF netF
