
clear all;

sectname='a02_97';

% load cumulative west-to-east transports
% from NAC PIES
load NACcumtrans;
NACT=[0;NACT];

% load cast longitudes
eval(['load ../sections/',sectname,' lon']);
% find casts within PIES array
q=find(lon>min(NAClon) & lon<max(NAClon));
% interpolate PIES cum.transport to hydro casts
iT=interp1(NAClon,NACT,lon(q));
iT=iT-iT(1);
iT=iT(2:length(iT));

fprintf('SECTION: %s.\n',sectname)
fprintf('Station pairs: %d to %d.\n',min(q),max(q)-1);
fprintf('Cumulative transport: \n');
fprintf('  Pair %d:  %3.1f Sv\n',q(1),iT(1))
for i=2:length(q)-1;
  fprintf('  Pairs %d-%d:  %3.1f Sv\n',q(1),q(i),iT(i));
end;



